/*
    This file is part of PicoScope.

    PicoScope is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    PicoScope is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with PicoScope.  If not, see <http://www.gnu.org/licenses/>.

    Original Written by Tobie de Beer for personal use
*/

#ifndef PICOSCOPE_H
#define PICOSCOPE_H

#include <QMainWindow>
#include <ps2000.h>
#include <qtimer.h>

namespace Ui {
    class PicoScope;
}

class PicoScope : public QMainWindow
{
    Q_OBJECT

public:
    explicit PicoScope(QWidget *parent = 0);
    ~PicoScope();

private slots:
    void on_Timer();

    void on_new_Config();

    void on_Light_toggled(bool checked);

    void on_RB_20V_clicked();

    void on_RB_Rising_clicked();

    void on_RB_Falling_clicked();

    void on_RB_Trig_None_clicked();

    void on_RB_10V_clicked();

    void on_RB_5V_clicked();

    void on_RB_2V_clicked();

    void on_RB_1V_clicked();

    void on_RB_500mV_clicked();

    void on_RB_200mV_clicked();

    void on_RB_100mV_clicked();

    void on_RB_AC_clicked();

    void on_RB_DC_clicked();

    void on_RB_2uS_clicked();

    void on_RB_5uS_clicked();

    void on_RB_10uS_clicked();

    void on_RB_20uS_clicked();

    void on_RB_50uS_clicked();

    void on_RB_100uS_clicked();

    void on_RB_200uS_clicked();

    void on_RB_500uS_clicked();

    void on_RB_1mS_clicked();

    void on_RB_2mS_clicked();

    void on_RB_5mS_clicked();

    void on_RB_10mS_clicked();

    void on_RB_20mS_clicked();

    void on_RB_50mS_clicked();

    void on_RB_100mS_clicked();

    void on_RB_200mS_clicked();

    void on_RB_500mS_clicked();

    void on_RB_1S_clicked();

    void on_RB_2S_clicked();

    void on_RB_5S_clicked();

    void on_RB_10S_clicked();

    void on_RB_20S_clicked();

    void on_RB_50S_clicked();

    void on_TrigVolt_sliderReleased();

private:
    Ui::PicoScope *ui;
    QTimer *Timer;
};

#endif // PICOSCOPE_H
